Package fr.gouv.vitam.scheduler.server

# Class SchedulerResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.scheduler.server.SchedulerResource

@Path("/scheduler/v1") public class SchedulerResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedulerResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `getCurrentJobs()`
  `jakarta.ws.rs.core.Response`
  `getJobs()`
  `jakarta.ws.rs.core.Response`
  `jobState(String jobName)`
  `jakarta.ws.rs.core.Response`
  `pauseScheduling(String group)`
  `jakarta.ws.rs.core.Response`
  `resumeScheduling(String group)`
  `jakarta.ws.rs.core.Response`
  `scheduleJob(byte[] jobByte)`
  `jakarta.ws.rs.core.Response`
  `triggerJob(byte[] triggerByte)`
  `jakarta.ws.rs.core.Response`
  `triggerJob(String jobName, com.fasterxml.jackson.databind.JsonNode jobDataJson)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchedulerResource

    public SchedulerResource()

- ## Method Details

  - ### getCurrentJobs

    @GET @Path("/current-jobs") @Produces("application/json") public jakarta.ws.rs.core.Response getCurrentJobs() throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### getJobs

    @GET @Path("/jobs") @Produces("application/json") public jakarta.ws.rs.core.Response getJobs() throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### pauseScheduling

    @PUT @Path("/pause/{group}") @Produces("application/json") public jakarta.ws.rs.core.Response pauseScheduling(@PathParam("group") String group) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### resumeScheduling

    @PUT @Path("/resume/{group}") @Produces("application/json") public jakarta.ws.rs.core.Response resumeScheduling(@PathParam("group") String group) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### jobState

    @GET @Produces("application/json") @Path("/job-state/{job-name}") public jakarta.ws.rs.core.Response jobState(@PathParam("job-name") String jobName) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### scheduleJob

    @POST @Path("/schedule-job") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response scheduleJob(byte[] jobByte) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### triggerJob

    @POST @Path("/trigger-job") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response triggerJob(byte[] triggerByte) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`

  - ### triggerJob

    @POST @Path("/trigger-job/{job-name}") @Produces("application/json") public jakarta.ws.rs.core.Response triggerJob(@PathParam("job-name") String jobName, com.fasterxml.jackson.databind.JsonNode jobDataJson) throws org.quartz.SchedulerException
    Throws:
      `org.quartz.SchedulerException`